# Poco::Net

# class SocketOutputStream

Library: Net
Package: Sockets
Header: Poco/Net/SocketStream.h

## Description

An output stream for writing to a socket.

## Inheritance

Direct Base Classes: SocketIOS, std::ostream

All Base Classes: SocketIOS, std::ios, std::ostream

## Member Summary

Inherited Functions: close, rdbuf, socket

## Constructors

### SocketOutputStream

explicit SocketOutputStream(
const Socket & socket
);

Creates the SocketOutputStream with the given socket.

The socket's SocketImpl must be a StreamSocketImpl, otherwise an InvalidArgumentException is thrown.

## Destructor

### ~SocketOutputStream

~SocketOutputStream();

Destroys the SocketOutputStream.

Flushes the buffer, but does not close the socket.